1

I'm developing on a new .NET application that needs to read/write data from an Oracle 9i database. I've got it working with ODAC 11.2.0.4 which comes with Instant Client 11.2. I had selected this version because I had read that Oracle 12c Client was only backwards Compatible to version 10g release 2 servers. Unfortunately I can't find that reference.

I would prefer to use latest version of ODAC 12.2, but I need to confirm that I'll still be able to connect to a 9i database.

Note: All the links I found to Oracle Compatibility charts are hidden behind an Oracle registration wall that isn't currently working for new signups. So I'm asking the question here.

  • Why would you prefer using ODAC 12.2 with the 9i database, given that ODAC 11.2 already works? – mustaccio Aug 21 '17 at 23:45
  • The app also connects to 12c databases. – Josh Aug 21 '17 at 23:50
3

This is from behind the Oracle registration wall:

Client / Server Interoperability Support Matrix for Different Oracle Versions (Doc ID 207303.1)

Client Version: 12.2.0 or 12.1.0
Server Version: 9.2.0
Supported: No #3

Where:

#3: An ORA-3134 error is correctly reported when attempting to connect to this version.

So I would not expect it to work at all.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.